<?php 
use_helper('UrlFunctions'); 


if(myUser::getUser()->getIdPadre() == '1' || myUser::getUser()->getRoleId() == "sys.ope") {
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }else{
  	$idAdministrador = myUser::getUser()->getIdColaborador();
 }

 if($idAdministrador){
 
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdAdministrador($idAdministrador);
	$o_SucursalBL = new SucursalBL();
	$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	//----------------------------------------------------
	
	$IdSucursal = $a_o_sucursal[0]->getIdSucursal();
	
 }
$o_BalanceDia = new BalanceDiaBean();
$o_BalanceDia->setIdSucursal($IdSucursal);
	
$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
$fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();




$o_Cr_pedido_prestamoFN = new Cr_pedido_prestamoFN();

$o_Cr_pedido_prestamoBN = $o_Cr_pedido_prestamoFN->selectByPK( $i_Id );
if( $o_Cr_pedido_prestamoBN )
{
    //echo "<pre>"; print_r( $o_Cr_pedido_prestamoBN ); echo "</pre>";
    $FechaTransaccion   = $o_Cr_pedido_prestamoBN->getFechaTransaccion();
   
    if($fecha && $FechaTransaccion && $fecha != $FechaTransaccion) exit('No se puede generar prestamo, intentar solo cuando este el dia abierto: '.$FechaTransaccion);
    
    $TelefonoContacto   = $o_Cr_pedido_prestamoBN->getTelefonoContacto();
    $txtCapital         = $o_Cr_pedido_prestamoBN->getMonto();
    $MontoFinal         = $o_Cr_pedido_prestamoBN->getMontoFinal();
    $IdCliente          = $o_Cr_pedido_prestamoBN->getIdCliente();
    $cboInteres			= $o_Cr_pedido_prestamoBN->getInteresPorcentaje();
    $cboFormaPago   	= $o_Cr_pedido_prestamoBN->getPeridiocidadPago();
    $cboDuracion        = $o_Cr_pedido_prestamoBN->getDuracion();
    $Estado        		= $o_Cr_pedido_prestamoBN->getEstado();
    $HoraAtencion       = $o_Cr_pedido_prestamoBN->getHoraAtencion();
    $Observacion        = $o_Cr_pedido_prestamoBN->getObservacion();
    $ObservacionFinal   = $o_Cr_pedido_prestamoBN->getObservacionFinal();
    $FechaModificacion  = $o_Cr_pedido_prestamoBN->getFechaModificacion();
    
    $SaldoPrestamo 		= round($txtCapital*(1+$cboInteres/100),2);
}

  
  


if($IdCliente){
	$o_ClienteBean = new ClienteBean();
	$o_ClienteBean->setIdCliente($IdCliente);
	$o_class = new ClienteBL();
	$a_ObjectBean = $o_class->busquedaCliente($o_ClienteBean);

	if(is_array($a_ObjectBean)){
  		while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
  			$IdMercado = $o_ObjectBean->getIdMercado();
  			$Nombre = $o_ObjectBean->getNombreCompleto();
  			//$LineaCredito = $o_ObjectBean->getLineaCredito();
  			
		  	$o_MercadoBean = new MercadoBean();
			$o_MercadoBean->setIdMercado($IdMercado);
			$o_class = new MercadoBL();
			$ObjectBean = $o_class->busquedaMercado($o_MercadoBean);
  			$NombreMercado = $ObjectBean[0]->getDescripcion();
  		}
	}
  	
}

$o_PrestamoBean = new PrestamoBean();
$o_PrestamoBean->setIdCliente($idCliente);
$o_PrestamoBean->setEstado("P");
$o_PrestamoDP	= new PrestamoDP($o_PrestamoBean);
$PrestamosPendientes = $o_PrestamoDP->selectNumRows();


if($control){//cuando se hizo el submit
	
	
	
	//if($LineaCredito > 0 && $MontoFinal > $LineaCredito) exit("No esta permitido la generacion de este prestamo con monto S/.".number_format($MontoFinal,2)." porque excedio la linea de crédito aprobado S/.".$LineaCredito.". Consulte con administración.");
	$txtCapital = $MontoFinal;
    $o_PrestamoBean = new PrestamoBean();
    $o_PrestamoBean->setIdCliente($IdCliente);
    $o_PrestamoBean->setMontoPrestado($txtCapital);
    $o_PrestamoBean->setFechaInicio($fecha);
    $o_PrestamoBean->setInteresPorcentaje($cboInteres);
    $montoTotal = round($txtCapital*($cboInteres/100+1),1);
    $SaldoPrestamo = $montoTotal;
    $o_PrestamoBean->setMontoTotal($montoTotal);
    $o_PrestamoBean->setGastoAdministrativo($txtGastoAdministrativo);
    $o_PrestamoBean->setPeriodicidadPago($cboFormaPago);
    $o_PrestamoBean->setSaldoPrestamo($SaldoPrestamo);
    $o_PrestamoBean->setDuracion($cboDuracion);
    $o_PrestamoBean->setFlagReporte("2");
    $o_PrestamoBean->setIdPedidoReferencia($i_Id);
    
    switch ($cboFormaPago){
    	case "D" : 
    			switch ($cboDuracion){
    				/**********************/
    				case 7 :  $MontoCuota = round($montoTotal/5,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +7 days'));
    						  $NroCuotas=5; break;
    				/*********************/
    				case 15 : $MontoCuota = round($montoTotal/13,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +15 days'));
    						  $NroCuotas=13; break;
    				case 30 : $MontoCuota = round($montoTotal/26,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +30 days'));
    						  $NroCuotas=26; break;
    				case 45 : $MontoCuota = round($montoTotal/39,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +45 days'));
    						  $NroCuotas=39; break;
    				case 60 : $MontoCuota = round($montoTotal/52,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +60 days'));
    						  $NroCuotas=52; break;
    				case 75 : $MontoCuota = round($montoTotal/65,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +75 days'));
    						  $NroCuotas=65; break;
    				case 90 : $MontoCuota = round($montoTotal/88,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +90 days'));
    						  $NroCuotas=88; break;
    			}
    			break;
    	case "S":
    			switch ($cboDuracion){
    				/**********************/
    				case 7 :  $MontoCuota = round($montoTotal/1,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +7 days'));
    						  $NroCuotas=1; break;
    				/*********************/
    				case 15 : $MontoCuota = round($montoTotal/2,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +15 days'));
    						  $NroCuotas=2; break;
    				case 30 : $MontoCuota = round($montoTotal/4,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +30 days'));
    						  $NroCuotas=4; break;
    				case 45 : $MontoCuota = round($montoTotal/6,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +45 days'));
    						  $NroCuotas=6; break;
    				case 60 : $MontoCuota = round($montoTotal/8,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +60 days'));
    						  $NroCuotas=8; break;
    				case 75 : $MontoCuota = round($montoTotal/10,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +75 days'));
    						  $NroCuotas=10; break;
    				case 90 : $MontoCuota = round($montoTotal/12,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +90 days'));
    						  $NroCuotas=12; break;
    			}
    			break;
    	case "Q":
    			switch ($cboDuracion){	
    				case 15 : $MontoCuota = round($montoTotal/1,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +15 days'));
    						  $NroCuotas=1; break;
    				case 30 : $MontoCuota = round($montoTotal/2,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +30 days'));
    						  $NroCuotas=2; break;
    				case 45 : $MontoCuota = round($montoTotal/3,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +45 days'));
    						  $NroCuotas=3; break;
    				case 60 : $MontoCuota = round($montoTotal/4,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +60 days'));
    						  $NroCuotas=4; break;
    				case 75 : $MontoCuota = round($montoTotal/5,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +75 days'));
    						  $NroCuotas=5; break;
    				case 90 : $MontoCuota = round($montoTotal/6,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +90 days'));
    						  $NroCuotas=6; break;
    			}
    			break;
    	case "M":
    			switch ($cboDuracion){	
    				
    				case 30 : $MontoCuota = round($montoTotal/1,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +30 days'));
    						  $NroCuotas=1; break;
    				case 60 : $MontoCuota = round($montoTotal/2,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +60 days'));
    						  $NroCuotas=2; break;
    				case 90 : $MontoCuota = round($montoTotal/3,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +90 days'));
    						  $NroCuotas=3; break;
    			}
    			break;
    }
    if($cboDuracion){
    $o_PrestamoBean->setCuotaPago($MontoCuota);
    $o_PrestamoBean->setFechaVencimiento($fechaVencimiento);
    $InteresMonto=$montoTotal-$txtCapital;
    $o_PrestamoBean->setInteresMonto($InteresMonto);
    $o_PrestamoBean->setNroCuotas($NroCuotas);
    $o_PrestamoBean->setObservacion($txtObservacion);
    $o_PrestamoBean->setOrigen("R");
    //$o_PrestamoBean->setLimiteCredito($LineaCredito);
    
    $o_PrestamoBean->setFechaCreacion(date("Y-m-d H:i:s"));
  	$o_PrestamoBean->setUsuarioCreacion(myUser::getUser()->getUserId());
    $o_PrestamoBean->setIdColaborador(myUser::getUser()->getIdColaborador());
    
    $o_PrestamoBL = new PrestamoBL();
    $bResult = $o_PrestamoBL->insertarPrestamo($o_PrestamoBean);
    
    
    }
    if($bResult){
    	$o_Cr_pedido_prestamoDP = new Cr_pedido_prestamoDP();
		$o_Cr_pedido_prestamoDP->setIdpedido((int)$i_Id);
		$o_Cr_pedido_prestamoDP->setEstado('G');
		$o_Cr_pedido_prestamoDP->setIdPrestamo($bResult);
		$o_Cr_pedido_prestamoDP->update();
    ?>
       <script language="JavaScript">
	    parent.findControl();
	    parent.objMainTab.windowsCloseAll();
    </script>
    <?
    }
}
?>


<form method="POST" name="form">
<input type="hidden" name="control" id="control" value="1"/>
<input type="hidden" name="i_Id" id="i_Id" value="<?php echo $i_Id?>"/>

<fieldset>
                        <legend class="fielsettex"><I>Datos del Cliente</I></legend>
                         <table width="100%" border="0" cellpadding="0">
                               <tr>
                                <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Nombre </label></td>
                                <td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label"><?php echo $Nombre?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                                <td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Mercado</label></td>
                                <td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label"><?php echo strtoupper($NombreMercado)?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                              </tr>
                              <tr>
                                <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Tel&eacute;fono </label></td>
                                <td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label req"><?php echo $TelefonoContacto?></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                                <td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" ></label></td>
                                <td nowrap="nowrap" align="left">&nbsp;&nbsp;<label class="label"></label></td>
                                <td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
                              </tr>
                        </table>
                        </fieldset>
                        

                        <?php
                        $s_Param = 'block=001';
                        if( isset( $i_Id ) )
                        {
                            $s_Param = 'block=001&i_Id='.$i_Id;
                        }
                        ?>
                        <br>
                        <fieldset>
                           <legend class="fielsettex"><I>Datos de Pedido</I></legend>
                        <table width="100%" cellspacing="2" cellpadding="2" border="0" class="marco marcoForm">
                            <tr>
                                <td nowrap="nowrap">
                                    <table width="100%">
                                        <?php
                                        $FechaTransaccion = date( 'Y-m-d', mktime(0, 0, 0, date( "m" ), date( "d" )+1, date( "Y" ) ) );
                                        ?>
                                        <tr>
                                            <td nowrap="nowrap" width="18%"><label for="NombreCompleto" class="label">Fecha</label></td>
                                            <td nowrap="nowrap">
                                                <label class="label req"><?php echo $FechaTransaccion ?></label>
                                                <input type="hidden" name="FechaTransaccion" id="FechaTransaccion" value="<?php echo $FechaTransaccion ?>"/>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="Monto" class="label">Telefono Contacto</label></td>
                                            <td><label class="label"><?php echo $TelefonoContacto; ?></label></td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="Monto" class="label">Monto</label></td>
                                            <td><label class="label"><?php echo $txtCapital ?></label></td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="InteresPorcentaje" class="label">Inter&eacute;s (%)</label></td>
                                            <td nowrap="nowrap">
                                            	<label class="label"><?php echo $cboInteres;?> %</label>
                                            </td>
                                        </tr>
                                         <tr>
                                            <td nowrap="nowrap"><label for="InteresPorcentaje" class="label">Gasto Administrativo </label></td>
                                            <td nowrap="nowrap">
                                            	<input class="text" type="text" name="txtGastoAdministrativo" id="txtGastoAdministrativo" size="15" maxlength="20" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="PeridiocidadPago" class="label">Forma Pago</label></td>
                                            <td nowrap="nowrap"><label class="label">
                                               		<?php 
                                               		if( $cboFormaPago=="D" ){ echo "Diario";}
            									  	if( $cboFormaPago=="S" ){ echo "Semanal";}
            									  	if( $cboFormaPago=="Q" ){ echo "Quincenal"; }
            									  	if( $cboFormaPago=="M" ){ echo "Mensual"; } 
            							  			?></label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="Duracion" class="label">Duraci&oacute;n</label></td>
                                            <td nowrap="nowrap"><label class="label"><?php echo $cboDuracion?></label>
                                                
                                            </td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="HoraAtencion" class="label">Hora de Atenci&oacute;n</label></td>
                                            <td nowrap="nowrap"><label class="label"><?php echo $HoraAtencion ?></label></td>
                                        </tr>
                                        <tr>
                                            <td nowrap="nowrap"><label for="Observacion" class="label">Observaci&oacute;n</label></td>
                                            <td nowrap="nowrap"><label class="label"><?php echo $Observacion ?></label></td>
                                        </tr>

                                        
                                    </table>
									
                                </td>
                            </tr>
							
                        </table>

                    </td>
                </tr>
            </table>
        

    </div>
				</fieldset>

                <fieldset>
                           <legend class="fielsettex"><I>Datos de Verificacion</I></legend>
                        <table width="100%" cellspacing="2" cellpadding="2" border="0" class="marco marcoForm">
                            <tr>
                                <td nowrap="nowrap" colspan="2" width="70%">
                                		 <table cellpadding="5" cellspacing="5" border="0" width="100%">
				                            <tr>
				                                <td>
				                                	<label class="label" for="MontoDescuento">Estado</label>
				                                </td>
				                                <td align="left">
				                                	 <label class="label req" for="" style="text-align:left"><?php 
				                                		if($Estado == 'A'){ echo "Aceptado";}
				                                		if($Estado == 'R'){ echo "Rechazado";}
				                                	
				                                	?>
				                                	</label>
				                                </td>
				                            </tr>
				                        </table>
				                        <?php if($Estado == 'A'){?>
					                        <table cellpadding="5" cellspacing="5" border="0" width="100%" id="">
					                            <tr>
					                               
					                                <td width="10%">
					                                    <label class="label" for="MontoDescuento">Monto Final</label>
					                                </td>
					                                <td>
					                                    <label class="label"><?php echo $MontoFinal ?></label>
					                                </td>
					                                <td nowrap="nowrap" width="8%" colspan="2" class="cabecera">&nbsp;</td>
					                            </tr>
					                        </table>    
				                        
                                        <?php }?>                          
                                        
                                        <table cellpadding="5" cellspacing="5" border="0" width="100%" id="">
	                                        <tr>
	                                            <td nowrap="nowrap"  width="10%"><label for="Observacion2" class="label">Comentario Final</label></td>
	                                            <td nowrap="nowrap"><label class="label"><?php echo $ObservacionFinal ?></label></td>
	                                        </tr>
	                                        <tr>
	                                            <td nowrap="nowrap"  width="10%"><label for="Observacion2" class="label">Fecha Modificacion</label></td>
	                                            <td nowrap="nowrap"><label class="label"><?php echo $FechaModificacion ?></label></td>
	                                        </tr>
										</table>    
                                        
                                    </table>
									
                                </td>
                            </tr>
							<tr>
								<td colspan="2" align="center" width="100%">
									<table width="100%">
										<tr>
                                            <td width="100%" align="center">
                                                 <table width="100%" border="0">
                                                    <tr>
                                                        <td align="right" width="55%">
                                                            <input type="submit" class="button" value="Generar Prestamo" >
                                                        </td>
                                                        <td width="45%">
                                                            <div id="s_ImagenLoad" style="display: none;"><img src="/images/progress.gif" border="0"/>&nbsp;<label class="laber req">Grabando...</label></div>
                                                            &nbsp;
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                        </tr>
									</table>
								</td>
							</tr>
                        </table>

                    </td>
                </tr>
            </table>
        </form>
		<script type="text/javascript">
			var valid = new Validation('form1', {immediate : true});
		</script>
    </div>
</fieldset>